# WoopsiUI::BitmapBase Class Reference

`#include <bitmapbase.h>`

Inheritance diagram for WoopsiUI::BitmapBase:

List of all members.

## Public Member Functions
virtual const u16 * | getData () const =0
virtual const u16 * | getData (s16 x, s16 y) const =0
virtual const u16 | getPixel (s16 x, s16 y) const =0
const u16 | getWidth () const
const u16 | getHeight () const
## Protected Attributes
u16 | _width
u16 | _height

## Detailed Description

Abstract class defining the basic properties of the bitmap.

## Member Function Documentation

virtual const u16* WoopsiUI::BitmapBase::getData | ( | s16 | x,
|  | s16 | y |
| ) |  |  | const`[pure virtual]`

Get a pointer to the internal bitmap data at the specified co-ordinates.

Parameters:

  | x | The x co-ord of the data.
  | y | The y co-ord of the data.

Returns:
  Pointer to the internal bitmap data.

Implemented in WoopsiUI::Bitmap, WoopsiUI::BitmapWrapper, and WoopsiUI::FrameBuffer.

virtual const u16* WoopsiUI::BitmapBase::getData | ( |  | ) | const`[pure virtual]`

Get a pointer to the internal bitmap data.

Returns:
  Pointer to the internal bitmap data.

Implemented in WoopsiUI::Bitmap, WoopsiUI::BitmapWrapper, and WoopsiUI::FrameBuffer.

const u16 WoopsiUI::BitmapBase::getHeight | ( |  | ) | const`[inline]`

Get the bitmap's height.

Returns:
  The bitmap's height.

virtual const u16 WoopsiUI::BitmapBase::getPixel | ( | s16 | x,
|  | s16 | y |
| ) |  |  | const`[pure virtual]`

Get the colour of the pixel at the specified co-ordinates

Parameters:

  | x | The x co-ordinate of the pixel.
  | y | The y co-ordinate of the pixel.

Returns:
  The colour of the pixel.

Implemented in WoopsiUI::Bitmap, WoopsiUI::BitmapWrapper, and WoopsiUI::FrameBuffer.

const u16 WoopsiUI::BitmapBase::getWidth | ( |  | ) | const`[inline]`

Get the bitmap's width.

Returns:
  The bitmap's width.

## Member Data Documentation

u16 WoopsiUI::BitmapBase::_height`[protected]`

Height of the bitmap

u16 WoopsiUI::BitmapBase::_width`[protected]`

Width of the bitmap

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/bitmapbase.h